Name:           rocksndiamonds
Version:        3.3.0.1
Release:        %mkrel 5
Summary:        A boulderdash like game
URL:            http://www.artsoft.org/rocksndiamonds/
License:        GPLv2
Group:          Games/Arcade

Source0:        http://www.artsoft.org/RELEASES/unix/rocksndiamonds/%{name}-%{version}.tar.gz
Patch0:		rocksndiamonds-CVE-2011-4606.patch
Source11:       %{name}.16.png
Source12:       %{name}.32.png
Source13:       %{name}.48.png
Source21:       %{name}.desktop

BuildRequires:  SDL_image-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  SDL_net-devel
BuildRequires:  smpeg-devel

%description
This is a nice little game with color graphics and sound for your
Unix system.

If you know the game "Boulderdash" (Commodore C64) or "Emerald Mine"
(Amiga) or "Supaplex" (PC), you know what "ROCKS'N'DIAMONDS" is about.

%prep
%setup -q
%patch0 -p1
perl -pi -e 's!.*RO_GAME_DIR\s*=.*!RO_GAME_DIR = %{_gamesdatadir}/%{name}!; s!.*RW_GAME_DIR\s*=.*!RW_GAME_DIR = /var/games/%{name}!' Makefile

%build
OPTIONS="%optflags" make sdl

%install
rm -rf %{buildroot}

# Install stuff
mkdir -p %{buildroot}%{_gamesbindir} %{buildroot}%{_gamesdatadir}/%{name} %{buildroot}%{_mandir}/man1
cp -a %{name} %{buildroot}%{_gamesbindir}/%{name}
cp -a graphics levels sounds music %{buildroot}%{_gamesdatadir}/%{name}
cp -a *.1 %{buildroot}%{_mandir}/man1

# Install scores
%{__install} -d %{buildroot}%{_localstatedir}/%{_gamesdir}/%{name}/scores

# Menu
%{__install} -D -m644 %{SOURCE21} %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop

# Icon
install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

%pre
if [ -d %{_gamesdatadir}/%{name}/scores ]; then
        mkdir -p %{_localstatedir}/%{_gamesdir}/%{name}/
        mv %{_gamesdatadir}/%{name}/scores %{_localstatedir}/%{_gamesdir}/%{name}/
fi

%clean
rm -rf %{buildroot}

%files
%doc README COPYING
%attr(0755,root,root) %{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%_datadir/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/man?/*
%attr(0755,root,games) %{_localstatedir}/%{_gamesdir}/%{name}


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 3.3.0.1-5.mga3
+ Revision: 380377
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 pterjan <pterjan> 3.3.0.1-4.mga3
+ Revision: 336081
- Fix BuildRequires to get x86_64 smpeg-devel on x86_64

* Mon Jul 30 2012 luigiwalser <luigiwalser> 3.3.0.1-3.mga3
+ Revision: 276236
- add patch from fedora to fix CVE-2011-4606

* Mon May 09 2011 ahmad <ahmad> 3.3.0.1-2.mga1
+ Revision: 96658
- Drop esound-devel BR; phasing esound from the distro
- Drop X11-devel BR, the necessary x11 devel packages are pulled by SDL-devel
- Drop alsa-lib-devel BR, already pulled by SDL_mixer-devel

* Sun Mar 13 2011 obgr_seneca <obgr_seneca> 3.3.0.1-1.mga1
+ Revision: 70712
- new version 3.3.0.1
- cleaned up spec
- removed buildroot tag
- moved desktop entry to separate file
- imported package rocksndiamonds

